---
title: Sensor.start()
slug: Web/API/Sensor/start
tags:
  - API
  - Generic Sensor API
  - Method
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - start()
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>start</code></strong> method activates one of the sensors based on <code>Sensor</code>. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Sensor.start()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<dl>
 <dt>Return value</dt>
</dl>

<p>{{jsxref('undefined')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensor-start','start')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sensor.start")}}</p>
